## NAME

r.li.mpa - Calculates mean pixel attribute index on a raster map

## KEYWORDS

raster, landscape structure analysis, patch index

## SYNOPSIS

r.li.mpa
r.li.mpa --help
r.li.mpa input=name config=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
config=name [required]
  Configuration file
output=name [required]
  Name for output raster map

## DESCRIPTION

r.li.mpa (mean pixel attribute) calculates the average value of the attribute of all the non-null cells in the sampling area as:
with:

- i: attribute
- m: number of non-null attributes in the sampling area
- wi: number of cells of attribute i
- size: size of sampling area (in cells)

## NOTES

Do not use absolute path names for the config and output file/map parameters. If the "moving window" method was selected in g.gui.rlisetup, then the output will be a raster map, otherwise an ASCII file will be generated in the folder `C:\Users\userxy\AppData\Roaming\GRASS8\r.li\output\` (MS-Windows) or `$HOME/.grass8/r.li/output/` (GNU/Linux).

If the input raster map contains only NULL values then r.li.mpa considers to have 0 patches.
If area is 0 r.li.mpa returns -1; it is possible only if the raster is masked
If you want to change these -1 values to NULL, run subsequently on the resulting map:

    r.null setnull=-1 input=my_map

after index calculation.

## EXAMPLES

To calculate the mean pixel attribute index on map my_map, using my_conf configuration file (previously defined with g.gui.rlisetup) and saving results in my_out, run:

    r.li.mpa input=my_map conf=my_conf output=my_out

Forest map (Spearfish sample dataset) example:

    g.region raster=landcover.30m -p
    r.mapcalc "forests = if(landcover.30m >= 41 && landcover.30m <= 43,1,null())"
    r.li.mpa input=forests conf=movwindow7 out=forests_mpa_mov7
    r.univar forests_mpa_mov7

Forest map (North Carolina sample dataset) example:

    g.region raster=landclass96 -p
    r.mapcalc "forests = if(landclass96 == 5, 1, null() )"
    r.li.mpa input=forests conf=movwindow7 out=forests_mpa_mov7

    # verify
    r.univar forests_mpa_mov7
    r.to.vect input=forests output=forests type=area
    d.mon wx0
    d.rast forests_mpa_mov7
    d.vect forests type=boundary

## SEE ALSO

r.li - package overview
g.gui.rlisetup

## REFERENCES

McGarigal, K., and B. J. Marks. 1995. FRAGSTATS: spatial pattern analysis program for quantifying landscape structure. USDA For. Serv. Gen. Tech. Rep. PNW-351. (PDF)

## AUTHORS

Serena Pallecchi student of Computer Science University of Pisa (Italy).
Commission from Faunalia Pontedera (PI), Italy (www.faunalia.it)
Markus Metz

## SOURCE CODE

Available at: r.li.mpa source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.1dev Reference Manual